Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Types | Data Fields
iseq_link_element Struct Reference

## Public Types
enum | { ISEQ_ELEMENT_NONE, ISEQ_ELEMENT_LABEL, ISEQ_ELEMENT_INSN, ISEQ_ELEMENT_ADJUST }

## Data Fields
enum iseq_link_element:: { ... } | type
struct iseq_link_element * | next
struct iseq_link_element * | prev

## Detailed Description

Definition at line 26 of file compile.c.

## Member Enumeration Documentation

anonymous enum

Enumerator
ISEQ_ELEMENT_NONE |
ISEQ_ELEMENT_LABEL |
ISEQ_ELEMENT_INSN |
ISEQ_ELEMENT_ADJUST |

Definition at line 27 of file compile.c.

## Field Documentation

struct iseq_link_element* iseq_link_element::next

Definition at line 33 of file compile.c.

Referenced by ADD_ELEM(), APPEND_ELEM(), APPEND_LIST(), dump_disasm_list(), FIRST_ELEMENT(), get_destination_insn(), get_next_insn(), INSERT_ELEM_NEXT(), INSERT_LIST(), iseq_insns_unification(), iseq_optimize(), iseq_set_sequence(), iseq_set_sequence_stackcaching(), LIST_SIZE_ZERO(), new_adjust_body(), new_insn_core(), new_label_body(), POP_ELEMENT(), REMOVE_ELEM(), REPLACE_ELEM(), validate_label(), and verify_list().

struct iseq_link_element* iseq_link_element::prev

Definition at line 34 of file compile.c.

Referenced by ADD_ELEM(), APPEND_ELEM(), APPEND_LIST(), get_prev_insn(), INSERT_ELEM_NEXT(), INSERT_LIST(), iseq_insns_unification(), POP_ELEMENT(), REMOVE_ELEM(), REPLACE_ELEM(), and verify_list().

enum { ... } iseq_link_element::type

Referenced by dump_disasm_list(), get_destination_insn(), get_next_insn(), get_prev_insn(), iseq_insns_unification(), iseq_optimize(), iseq_set_sequence(), iseq_set_sequence_stackcaching(), new_adjust_body(), new_insn_core(), and new_label_body().

The documentation for this struct was generated from the following file:

- compile.c